> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggiungi gruppo all'organizzazione

> Aggiungi un nuovo gruppo IdP a un'organizzazione

Richiede una API key personale di amministratore Enterprise.

Aggiunge un gruppo IdP (Identity Provider) Enterprise a una specifica organizzazione con un ruolo specifico.


## OpenAPI

````yaml it/v2-openapi.yaml POST /v2/enterprise/organizations/{org_id}/groups
openapi: 3.1.0
info:
  description: API Devin v2 con Personal API Keys per gli amministratori Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/organizations/{org_id}/groups:
    post:
      tags:
        - organizations
      summary: Endpoint per aggiungere gruppi all'organizzazione Enterprise
      description: Aggiungi un nuovo gruppo a un'organizzazione
      operationId: >-
        enterprise_organization_groups_addition_endpoint_v2_enterprise_organizations__org_id__groups_post
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgGroup'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrganizationGroupResponse'
          description: Risposta con esito positivo
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Errore di validazione
components:
  schemas:
    OrgGroup:
      properties:
        group_name:
          title: Group Name
          type: string
        role:
          title: Role
          type: string
      required:
        - group_name
        - role
      title: OrgGroup
      type: object
    OrganizationGroupResponse:
      properties:
        group_name:
          title: Group Name
          type: string
        org_id:
          title: Org Id
          type: string
        role:
          title: Role
          type: string
      required:
        - org_id
        - group_name
        - role
      title: OrganizationGroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personale (apk_user_*) riservata agli amministratori Enterprise
      scheme: bearer
      type: http

````